package net.minecraft.src;

public class mod_fire_stone extends BaseMod
{
	public static final Block fireStone = new BlockFireStone(150, 0).setBlockName("fireStone").setHardness(3F).setResistance(5F).setStepSound(Block.soundStoneFootstep);
	
	public void load()
	{
		addNames();
		addRecipes();
		addImages();
	}
	
	public void addNames()
	{
		ModLoader.addName(fireStone, "Hot Stone");
		ModLoader.registerBlock(fireStone);
	}
	
	public void addRecipes()
	{
		ModLoader.addRecipe(new ItemStack(fireStone, 1), new Object[] {
				"XCX", "CBC", "XCX", 'X', Item.blazePowder, 'C', Item.coal, 'B', Block.stone
			});
	}
	
	public void addImages()
	{
		fireStone.blockIndexInTexture = ModLoader.addOverride("/terrain.png", "/neo-melaphyre/fire_stone.png");
	}
	
	public String getVersion()
	{
		return "1.3.2";
	}
}
